#!/usr/bin/perl

if(@ARGV != 1) {
    print STDERR "Usage: extract-sentences PREFIX < INPUT\n";
    exit 1;
}

binmode STDIN, ":utf8";
open JFILE, ">:utf8", "$ARGV[0].ja";
open EFILE, ">:utf8", "$ARGV[0].en";

sub remove_special {
    $_ = shift;
    while(s/&amp;?/\&/g) { };
    s/&quot;?/"/g;
    s/&apos;?/'/g;
    s/&lt;?/</g;
    s/&gt;?/>/g;
    s/\|/ /g;
    s/ +/ /g;
    return $_;
}

my ($e,$j);
while(<STDIN>) {
    chomp;
    if(/<\/sen>/) {
        next unless length $e;
        next unless length $j;
        print EFILE "$e\n";
        print JFILE "$j\n";
        $e = "";
        $j = "";
    }
    elsif(/<j>(.*)<\/j>/) {
        $j = remove_special($1);
        $j =~ s/ //g;
    }
    elsif(/<e[^>]*>(.*)<\/e>/) {
        $e = remove_special($1);
    }
}

close JFILE;
close EFILE;
